;
; Cargador paquete "ENVIO"
;    Ver "envio.lisp"
;

(defpackage "ENVIO"
  (:nicknames "ENVIO-FUN" "PT-C" "PT-C-F")
  (:use "COMMON-LISP")
  (:documentation "Interface de comunicaciones entre agentes y servidor de juego PlanTron.")
  (:export 
   "VERSION"
   "KEYWORDS-FUN-AG"
   "MY-WARNING"
   ; Funciones interface para servidor => agentes
   "BROADCAST"
   "PUNTUAL"
   ; Funciones interface para agentes => servidor pt-base
   "PET-INI"
   "PET-CONSULTA-ACCION"
   "PET-GEN-PLANTA"
   "PET-TRANSF-ENE"
   "CONSULTA-LEYENDA"
   "CONSULTA-POS-JUG"
   "CONSULTA-EST-JUG"
   "CONSULTA-POS-TAB"
   "CONSULTA-TIPO"
   "CONSULTA-TAB"
   ; Funciones interface para agentes => servidor envio
   "CONSULTA-TURNO"
   "CONSULTA-LIS-KEY-JUG"
   "MENSAJE"))

(unless (find-package "PT-BASE")
  (load (concatenate 'string
		     (directory-namestring
		      (eval (or (find-symbol "*LOAD-TRUENAME*")
				(find-symbol "*LOAD-PATHNAME*")
				(find-symbol "*LOAD-PATHNAME*" "SYSTEM")
			       "")))
		     "pt-base-package")))
